import moment from 'moment';
export const shortcuts = [
  {
    text: '最近一周',
    value: () => {
      const end = new Date();
      const start = new Date();
      start.setTime(start.getTime() - 3600 * 1000 * 24 * 7);
      return [start, end];
    }
  },
  {
    text: '本月',
    value: () => {
      // const now = new Date();
      const start = moment().startOf('month');
      const end = moment().endOf('month');
      return [start, end];
    }
  },
  {
    text: '上个月',
    value: () => {
      const start = moment().subtract(1, 'month').startOf('month');
      const end = moment().subtract(1, 'month').endOf('month');
      return [start, end];
    }
  },
  {
    text: '最近一个月',
    value: () => {
      const end = new Date();
      const start = new Date();
      start.setTime(start.getTime() - 3600 * 1000 * 24 * 30);
      return [start, end];
    }
  },
  {
    text: '最近三个月',
    value: () => {
      const end = new Date();
      const start = new Date();
      start.setTime(start.getTime() - 3600 * 1000 * 24 * 90);
      return [start, end];
    }
  }
];
